Foreman - Bug #4521

Openstack boot from volume
03/03/2014 01:16 PM - Daniel Lobato Garcia

Status: Closed
Priority: Normal
Assignee: Daniel Lobato Garcia
Category: Compute resources - OpenStack
Target version: 1.8.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2003
Description

Following from http://projects.theforeman.org/issues/4337 , Openstack compute resources should have access to volumes.

New hosts should be able to be provisioned using block device mapping
Block device mapping should support ephemeral disks

Host#view should show volumes attached to it if its an Openstack VM.
Openstack Compute Resources should show volumes.

boot-volume, swap, and snapshots will be supported once they are in Fog, but other tickets will cover that.

More info here https://wiki.openstack.org/wiki/BlockDeviceConfig

Related issues:

Related to Foreman - Bug #4337: EC2 use block device mapping New
Related to Foreman - Bug #10150: 1.8 RC3 deploy new host on openstack fails New 04/15/2015
Related to Foreman - Bug #10867: Openstack boot from volume always enabled, e... Closed 06/18/2015

Associated revisions

Revision 3f56eab2 - 04/09/2015 02:24 AM - jslatten

refs #4521 - Openstack Compute Resource: Boot from Volume on new Host

Revision a31c0e15 - 04/09/2015 06:11 AM - Dominic Cleal

refs #4521 - extract string, fix capitalisation

Revision 1cd5875b - 04/09/2015 12:09 PM - jslatten

refs #4521 - Openstack Compute Resource: Boot from Volume on new Host
(cherry picked from commit 3f56eab265fdec913f988a119d78771d345c5428)
Revision 30bba666 - 04/09/2015 12:09 PM - Dominic Cleal

refs #4521 - extract string, fix capitalisation

(cherry picked from commit a31c0e15d200e438939b37b2fc393841084f9801)

History

#1 - 03/03/2014 02:55 PM - Daniel Lobato Garcia

Done:

Show volumes

Create hosts using block device mapping
Host#view should show attached volumes
Ephemerals

In progress:
http://projects.theforeman.org/issues/4337
https://wiki.openstack.org/wiki/BlockDeviceConfig

Bugs during Host orchestration

Remove Volumes from Foreman db, just use whatever comes from the server.

#2 - 03/03/2014 03:00 PM - Dominic Cleal

- Related to Bug #4337: EC2 use block device mapping added

#3 - 03/03/2014 03:00 PM - Dominic Cleal

- Status changed from New to Assigned

#4 - 03/04/2014 01:10 PM - Daniel Lobato Garcia
- Status changed from Assigned to Ready For Testing

#5 - 03/04/2014 01:16 PM - Dominic Cleal

https://github.com/theforeman/foreman/pull/1270

#6 - 03/26/2014 12:56 PM - Anonymous

- Target version changed from 1.9.0 to 1.8.4

#7 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#8 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.3 to 1.8.4

#9 - 04/24/2014 10:25 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#10 - 05/19/2014 12:40 PM - Anonymous

- Target version changed from 1.8.3 to 1.8.2

#11 - 06/06/2014 06:27 AM - Romain Vrignaud

I'm available for test on Icehouse installation if needed. Feel free to ping me :)

#12 - 06/11/2014 02:58 PM - Anonymous

- Target version changed from 1.8.2 to 1.8.1

#13 - 07/07/2014 07:20 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0

#14 - 07/30/2014 06:48 AM - Anonymous

- Target version changed from 1.8.0to 1.7.5

#15 - 08/20/2014 06:49 AM - Anonymous

- Target version changed from 1.7.5t0 1.7.4

#16 - 09/10/2014 07:20 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3

#17 - 09/26/2014 07:11 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - OpenStack

#18 - 09/30/2014 10:35 AM - Dominic Cleal

- Target version changed from 1.7.3to 1.7.2

#19 - 12/08/2014 06:11 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/2003 added
#20 - 04/09/2015 03:11 AM - Daniel Lobato Garcia
- Subject changed from Openstack block device options to Openstack boot from volume
- Status changed from Ready For Testing to Closed

- translation missing: en.field_release set to 28

Not completely 'boot device mapping' but booting from a device is done ->
https://github.com/theforeman/foreman/commit/3f56eab265fdec913f988a119d78771d345c5428

#21 - 04/20/2015 04:43 AM - Dominic Cleal
- Related to Bug #10150: 1.8 RC3 deploy new host on openstack fails added

#22 - 06/18/2015 11:04 AM - Marek Hulan

- Related to Bug #10867: Openstack boot from volume always enabled, even if unchecked added
